=== src/simpleargs/CMakeLists.txt ===
add_library(simpleargs STATIC simpleargs.cc)
target_include_directories(simpleargs PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(simpleargs PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/../include")
target_requires_cpp11(simpleargs PRIVATE)
install(TARGETS simpleargs DESTINATION lib)
install(FILES simpleargs.h DESTINATION include)

add_executable(test_args tests/test_main.cc tests/test_args.cc)
target_include_directories(test_args PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/tests)
target_link_libraries(test_args simpleargs catch2)
target_requires_cpp11(test_args PUBLIC)
