=== src/epics/edcu/CMakeLists.txt ===
if (Boost_FOUND)

    add_executable(standalone_edc
            standalone_edcu.cc)
    target_include_directories(standalone_edc PUBLIC
            "${CMAKE_CURRENT_SOURCE_DIR}/../../include"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../include/drv"
            ${Boost_INCLUDE_DIRS})
    target_link_libraries(standalone_edc PUBLIC
            simpleargs
            epics::ca
            driver::ini_parsing
            pv::simple_pv
            ${Boost_LIBRARIES}
            ${CMAKE_THREAD_LIBS_INIT}
            driver::gpsclock
            driver::shmem
            cds::pub_sub
            )
    target_requires_cpp11(standalone_edc PUBLIC)

    integration_test(
        NAME test_standalone_edc_live_nds
        SCRIPT "test/test_standalone_edc_live_nds.py"
        RESOURCE "test/daqdrc_standalone_edc_live_test" "tests/epics_test.py"
    )

    integration_test(
        NAME test_standalone_edc_live_pub_sub_nds
        SCRIPT "test/test_standalone_edc_live_pub_sub_nds.py"
        RESOURCE "test/daqdrc_standalone_edc_live_test" "tests/epics_test.py"
    )

    integration_test(
            NAME test_standalone_edc_live_daqm_to_pub_sub_nds
            SCRIPT "test/test_standalone_edc_live_daqm_to_pub_sub_nds.py"
            RESOURCE "test/daqdrc_standalone_edc_live_test" "tests/epics_test.py"
    )

    install(TARGETS standalone_edc DESTINATION bin)

else(Boost_FOUND)
    message(WARNING "The standalone_edc will not be build as boost was not found")
endif (Boost_FOUND)
