=== debian/changelog ===
advligorts (5.5.3-1+deb10) stable; urgency=medium

  * Release of 5.5.3

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 20 Jan 2026 11:19:20 -0800

advligorts (5.5.3~dev2-1+deb10) stable; urgency=medium

  * change auto deb release back to master
  * add trixie to autorelease

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 18 Dec 2025 11:45:40 -0800

advligorts (5.5.3~dev1-1+deb10) stable; urgency=medium

  * Make the code build from Debian Buster to Trixie
  * Updates to the mbuf/gpstime/rts-logger drivers to build cleanly under Debian Trixie (Linux 6.12).
  * Updates to the rts-cpu-isolator so that it builds on Linux 6.12
  * Updates to build models on Debian 13 (Trixie) and Linux 6.12.  * Implemented _ligo_class_create for state space control.  * Updated the mydevnode defintion to build with multiple linux versions.  * Adding forwards to remove warnings for functions with no prototype.  * Removed cmake warnings for userspace code by requiring cmake 3.10  * Fixed cmake errors in userspace code by correcting the case of the list(APPEND...) call.  * Removed warnings by moving the 'static' and 'inline' components of function definitions to the left.
  * Update the run number server to support a test/ro interface.
  * Fix to build the run number server on Debian 10.
  * Fixing script so it will only return the first symvers found

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 17 Dec 2025 23:35:07 -0800
